Retrieve a list of shipping rates
GET
/shipping_rates
const url = 'https://acme.mykreezalid.com/api/partners/v1/shipping_rates?fields=id%2Ctitle%2Cprice&page=1&limit=10';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://acme.mykreezalid.com/api/partners/v1/shipping_rates?fields=id%2Ctitle%2Cprice&page=1&limit=10' \ --header 'Authorization: Basic <credentials>'Lists the shipping rates of the marketplace, by display priority. Reduce the payload by listing the fields you need in fields.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
string
Example
id,title,priceComma-separated list of the shipping rate fields to return.
page
integer
Page to return, starting at 1.
limit
integer
Number of shipping rates per page, at most 100.
Responses
Section titled “Responses”List of available Shipping Rates
Media typeapplication/json
object
shipping_rates
Array<object>
object
id
Shipping rate’s unique identifier
integer
price
number format: double
step_price
number format: double
always_selected
boolean
title
string
tracking_number
string
tracking_url
string
pagination
Paging information, added next to the results of a paginated list. Request another page with the page query parameter and change the page size with limit (at most 100).
object
totalResultsCount
Number of results across all pages.
integer
currentPage
Number of the page returned, starting at 1.
integer
nextPage
Whether a next page exists.
boolean
prevPage
Whether a previous page exists.
boolean
resultOnPageCount
Number of results on this page.
integer
pageCount
Number of pages.
integer
Example
{ "shipping_rates": [ { "id": "432424", "price": "6.95", "step_price": "1.45", "title": "Standard", "tracking_number": null, "tracking_url": null } ], "pagination": { "totalResultsCount": 137, "currentPage": 1, "resultOnPageCount": 25, "pageCount": 6 }}Missing or wrong API credentials.